Page MenuHomePhabricator

OOUI themes should be able to be moved out to another repo
Open, HighPublic

Description

The build process currently requires the theme to be inside the OOUI repo to work; this needs to be improved.

Event Timeline

Jdforrester-WMF raised the priority of this task from to Normal.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a project: OOUI.
Jdforrester-WMF moved this task to Backlog on the OOUI board.
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Jdforrester-WMF lowered the priority of this task from Normal to Low.Apr 27 2016, 3:11 PM
Jdforrester-WMF added a project: Epic.
Jdforrester-WMF closed this task as Resolved.Jun 1 2017, 6:58 PM
Jdforrester-WMF assigned this task to matmarex.

This is now theoretically resolved, though AFAIAA no-one's actually attempted this.

Jdforrester-WMF reopened this task as Open.Jun 1 2017, 7:43 PM
Jdforrester-WMF lowered the priority of this task from Low to Lowest.

Bartosz has convinced me that we should keep this open.

@matmarex Could you clarify?

Volker_E renamed this task from OOjs UI themes should be able to be moved out to another repo to OOUI themes should be able to be moved out to another repo.Dec 6 2017, 6:43 PM
Volker_E updated the task description. (Show Details)

Well it's still just as impossible as before? IIRC James closed this after I did rGOJU09d210d61d8c: Implement `grunt add-theme` task to ease theme creation, but that doesn't resolve this task (it only helps you add themes if you fork OOUI).

Daegontaven raised the priority of this task from Lowest to High.
Daegontaven added a subscriber: matmarex.